/*
 * Class ARRAY [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_756 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_756 [] = {0xFF01,237,755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_756 [] = {0xFF01,755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_756 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_756 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_756 [] = {0xFF01,755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_756 [] = {0xFF01,755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_756 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_756 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_756 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_756 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_756 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_756 [] = {755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_756 [] = {0xFF01,755,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_756 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_756 [] = {0xFF01,750,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_756 [] = {0xFF01,749,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_756 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_756 [] = {0xFF01,754,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_756 [] = {0xFF01,749,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_756 [] = {0xFF01,755,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_756 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_756 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_756[] = {
	{EIF_GENERIC(NULL), 5814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_756), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_756), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_756), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5869, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_756), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_756), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_756), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_756), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_756), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_756), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_756), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_756), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_756), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_756), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_756), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_756), 5868, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_756), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2176, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2178, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5837, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5871, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5852, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_756), 3381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_756), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_756), 5018, 0},
	{EIF_GENERIC(NULL), 5019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_756), 5821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_756), 5822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5025, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_756), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5820, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_756), 5823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5825, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5826, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5843, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5844, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5845, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5849, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5851, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5854, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5855, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5861, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_756), 5865, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_756), 5866, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_756), 5867, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_756), 5870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5873, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_756), 5821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_756), 5822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_756), 5821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_756), 5830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init756(void)
{
	IDSC(desc_756, 0, 755);
	IDSC(desc_756 + 1, 1, 755);
	IDSC(desc_756 + 32, 77, 755);
	IDSC(desc_756 + 41, 129, 755);
	IDSC(desc_756 + 47, 282, 755);
	IDSC(desc_756 + 56, 99, 755);
	IDSC(desc_756 + 58, 81, 755);
	IDSC(desc_756 + 67, 4, 755);
	IDSC(desc_756 + 105, 187, 755);
	IDSC(desc_756 + 111, 256, 755);
	IDSC(desc_756 + 114, 50, 755);
	IDSC(desc_756 + 115, 103, 755);
	IDSC(desc_756 + 117, 229, 755);
	IDSC(desc_756 + 118, 35, 755);
	IDSC(desc_756 + 119, 172, 755);
}


#ifdef __cplusplus
}
#endif
